> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wrapped asset details

> Returns the circulating and total supply of a wrapped asset, and its conversion rate

### Properties

#### Circulating Supply

The number of wrapped asset units in possession of customers. It *excludes* units pre-minted and held in abeyance to quickly serve wrapping customers.

Circulating supply is the most appropriate input to determine the market capitalization of a wrapped asset.

#### Total Supply

The total number of wrapped asset units that have been minted and exist on-chain.

#### Conversion Rate

The number of underlying staked units that can be exchanged for 1 wrapped asset (e.g., the number of ETH2 units per 1 cbETH unit).

#### Implied APY

Current annualized percentage yield earned as the net rewards by the staked ETH underlying cbETH. This estimate is based on the past 7 days of staking performance and is updated daily. For more details, refer to the "rate calculation" section of the [cbETH whitepaper](https://www.coinbase.com/cbeth/whitepaper).

### Response

#### 200 Success

A successful request responds with HTTP status code 200 (OK) and the JSON response body has the following form:

```json lines wrap theme={null}
{
  "circulating_supply": "288918.5085968099228762",
  "total_supply": "1021881.5038440099228762",
  "conversion_rate": "1.0213397911189787"
}
```

#### 429 Failure

This endpoint can be queried at most once a second.

If queried more than once a second, the failed request responds with HTTP status code 429 (Too Many Requests) and the JSON response body has the following form:

```json lines wrap theme={null}
{
  "message": "Public rate limit exceeded"
}
```

<Tip>
  Coinbase recommends that you repeatedly query the API, sleeping 1 second in between queries, to get conversion rate updates (currently updated 1x a day) as soon as possible without exceeding the rate limit.
</Tip>


## OpenAPI

````yaml GET /wrapped-assets/{wrapped_asset_id}
openapi: 3.0.1
info:
  title: REST API
  description: >-
    # Welcome to Coinbase Exchange API

    ## Introduction

    The Exchange Trading APIs allow institutions to place orders and access
    account information. The following API pages detail various REST API
    endpoints we offer for lower-frequency trading and general requests.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Authentication](/exchange/docs/rest-auth)

    - [Rate Limits](/exchange/docs/rest-rate-limits)

    - [Pagination](/exchange/docs/rest-pagination)

    - [Status Codes](/exchange/docs/rest-requests)

    - [Quickstart](/exchange/docs/getting-started)

    ## FIX API

    - [FIX API reference](/exchange/docs/fix-connectivity)

    ## WebSocket API

    - [WebSocket API reference](/exchange/docs/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.exchange.coinbase.com/
security:
  - ApiKeyAuthKey: []
    ApiKeyAuthPassphrase: []
    ApiKeyAuthSign: []
    ApiKeyAuthTimestamp: []
paths:
  /wrapped-assets/{wrapped_asset_id}:
    get:
      tags:
        - Wrapped assets
      summary: Get wrapped asset details
      description: >-
        Returns the circulating and total supply of a wrapped asset, and its
        conversion rate
      operationId: ExchangeRESTAPI_GetWrappedAsset
      parameters:
        - name: wrapped_asset_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiWrappedAsset'
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorResponse'
        '404':
          description: Not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorResponse'
        '500':
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorResponse'
      security: []
components:
  schemas:
    apiWrappedAsset:
      required:
        - apy
        - circulating_supply
        - conversion_rate
        - id
        - redeem_time_estimate_days
        - total_supply
      type: object
      properties:
        id:
          type: string
          description: The symbol of the wrapped asset
        circulating_supply:
          type: string
          description: >-
            The assets wrapped by customers less the assets unwrapped by
            customers existing outside of Coinbase's premint account
        total_supply:
          type: string
          description: The total token supply of the asset matching that on Etherscan
        conversion_rate:
          type: string
          description: >-
            The conversion rate between the wrapped asset and the underlying
            asset
        apy:
          type: string
          description: The APY earned by the supply of the underlying asset
        redeem_time_estimate_days:
          type: string
          description: The estimated time to redeem the wrapped asset in days
      example:
        id: CBETH
        circulating_supply: '221127.7137774658'
        total_supply: '926714.1251656958084'
        conversion_rate: '1.006081377449935752'
        apy: '0.0384'
        redeem_time_estimate_days: '12.34'
    apiErrorResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
  securitySchemes:
    ApiKeyAuthKey:
      type: apiKey
      name: cb-access-key
      in: header
    ApiKeyAuthPassphrase:
      type: apiKey
      name: cb-access-passphrase
      in: header
    ApiKeyAuthSign:
      type: apiKey
      name: cb-access-sign
      in: header
    ApiKeyAuthTimestamp:
      type: apiKey
      name: cb-access-timestamp
      in: header

````